Bug 453860 - Review Request: perl-Config-Augeas - Edit configuration files through Augeas C library
Review Request: perl-Config-Augeas - Edit configuration files through Augeas ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 18:26 EDT by Alan Pevec
Modified: 2012-02-24 15:53 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.201-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 03:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2008-07-02 18:26:41 EDT
Spec URL: http://apevec.fedorapeople.org/perl-Config-Augeas.spec
SRPM URL: http://apevec.fedorapeople.org/perl-Config-Augeas-0.201-1.fc10.src.rpm
Description:
Augeas is a library and command line tool that focuses on the most basic
problem in handling Linux configurations programmatically: editing actual
configuration files in a controlled manner.
Comment 1 Alan Pevec 2008-07-02 18:32:40 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=693455

rpmlint is silent
Comment 2 David Lutterkort 2008-07-09 18:24:18 EDT
  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc

upstream does not ship full license, only reference to LGPLv2+ in README which
is installed as %doc

  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  OK - BuildRoot value (one of the recommended values)
  OK - PreReq not used
  OK - Source md5sum matches upstream
  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient

Drop explicit requires for pkgconfig, it's not needed

  OK - File permissions set properly
  OK - Macro usage is consistent
  OK - rpmlint is silent
  OK - Versioned MODULE_COMPAT_ requires
  OK - CPAN URL not versioned
Comment 3 David Lutterkort 2008-07-09 18:25:24 EDT
APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 4 Alan Pevec 2008-07-10 01:57:19 EDT
New Package CVS Request
=======================
Package Name: perl-Config-Augeas
Short Description: Edit configuration files through Augeas C library
Owners: apevec
Branches: F-8 F-9
InitialCC: dlutter
Cvsextras Commits: yes
Comment 5 Tom "spot" Callaway 2008-07-10 17:09:39 EDT
cvs done.
Comment 7 Fedora Update System 2008-07-18 15:04:09 EDT
perl-Config-Augeas-0.201-1.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-07-18 15:04:51 EDT
perl-Config-Augeas-0.201-1.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-07-23 03:17:06 EDT
perl-Config-Augeas-0.201-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-07-23 03:18:33 EDT
perl-Config-Augeas-0.201-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Alan Pevec 2012-02-24 15:43:39 EST
Package Change Request
======================
Package Name: perl-Config-Augeas
New Branches: el6
Owners: apevec
Comment 12 Gwyn Ciesla 2012-02-24 15:53:04 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.